import { MessageBusService } from './message-bus.service';
import { SubmitMessageDto } from './dto/submit-message.dto';
import { WebSocketEvent } from '../events/websocket.events';
export declare class MessageBusController {
    private readonly messageBusService;
    constructor(messageBusService: MessageBusService);
    submit(submitMessageDto: SubmitMessageDto): {
        status: string;
    };
    poll(): {
        message: WebSocketEvent | null;
    };
}
